Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.pas.domain
Class BedDesignation

    java.lang.Object
      org.optaplanner.examples.common.domain.AbstractPersistable
          org.optaplanner.examples.pas.domain.BedDesignation

All Implemented Interfaces:
  Serializable, Comparable<AbstractPersistable>

    public class BedDesignation

extends AbstractPersistable

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.optaplanner.examples.common.domain.AbstractPersistable
`id`

Constructor Summary
`BedDesignation()`

Method Summary
`AdmissionPart` | `getAdmissionPart()`
`int` | `getAdmissionPartNightCount()`
`Specialism` | `getAdmissionPartSpecialism()`
`Bed` | `getBed()`
`Department` | `getDepartment()`
`Patient` | `getPatient()`
`int` | `getPatientAge()`
`Gender` | `getPatientGender()`
`Integer` | `getPatientPreferredMaximumRoomCapacity()`
`Room` | `getRoom()`
`int` | `getRoomCapacity()`
`GenderLimitation` | `getRoomGenderLimitation()`
`void` | `setAdmissionPart(AdmissionPart admissionPart)`
`void` | `setBed(Bed bed)`
`boolean` | `solutionEquals(Object o)` The normal methods `Object.equals(Object)` and `Object.hashCode()` cannot be used because the rule engine already requires them (for performance in their original state).
`int` | `solutionHashCode()` The normal methods `Object.equals(Object)` and `Object.hashCode()` cannot be used because the rule engine already requires them (for performance in their original state).
`String` | `toString()`

Methods inherited from class org.optaplanner.examples.common.domain.AbstractPersistable
`compareTo, getId, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BedDesignation

    public BedDesignation()

Method Detail

### getAdmissionPart

    public AdmissionPart getAdmissionPart()

### setAdmissionPart

    public void setAdmissionPart(AdmissionPart admissionPart)

### getBed

    public Bed getBed()

### setBed

    public void setBed(Bed bed)

### getPatient

    public Patient getPatient()

### getPatientGender

    public Gender getPatientGender()

### getPatientAge

    public int getPatientAge()

### getPatientPreferredMaximumRoomCapacity

    public Integer getPatientPreferredMaximumRoomCapacity()

### getAdmissionPartSpecialism

    public Specialism getAdmissionPartSpecialism()

### getAdmissionPartNightCount

    public int getAdmissionPartNightCount()

### getRoom

    public Room getRoom()

### getRoomCapacity

    public int getRoomCapacity()

### getDepartment

    public Department getDepartment()

### getRoomGenderLimitation

    public GenderLimitation getRoomGenderLimitation()

### solutionEquals

    public boolean solutionEquals(Object o)

  The normal methods `Object.equals(Object)` and `Object.hashCode()` cannot be used because the rule engine already requires them (for performance in their original state).

  See Also:
    `solutionHashCode()`

### solutionHashCode

    public int solutionHashCode()

  The normal methods `Object.equals(Object)` and `Object.hashCode()` cannot be used because the rule engine already requires them (for performance in their original state).

  See Also:
    `solutionEquals(Object)`

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractPersistable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.